webapp install error on ubuntu 18.04



  • Hi,

    I just tried to install the kopano webapp with nginx support on my ubuntu 18.04 server via the kopano repository.
    kopano-server is (not yet) installed.
    but kopano-libs can’t be installed:

    sudo apt-get -f install
    Paketlisten werden gelesen... Fertig
    Abhängigkeitsbaum wird aufgebaut.
    Statusinformationen werden eingelesen.... Fertig
    Abhängigkeiten werden korrigiert ... Fertig
    Die folgenden zusätzlichen Pakete werden installiert:
      kopano-libs
    Die folgenden NEUEN Pakete werden installiert:
      kopano-libs
    0 aktualisiert, 1 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
    81 nicht vollständig installiert oder entfernt.
    Es müssen noch 0 B von 1.817 kB an Archiven heruntergeladen werden.
    Nach dieser Operation werden 7.415 kB Plattenplatz zusätzlich benutzt.
    Möchten Sie fortfahren? [J/n]
    (Lese Datenbank ... 105773 Dateien und Verzeichnisse sind derzeit installiert.)
    Vorbereitung zum Entpacken von .../kopano-libs_8.5.5-0ubuntu1_amd64.deb ...
    Entpacken von kopano-libs:amd64 (8.5.5-0ubuntu1) ...
    dpkg: Fehler beim Bearbeiten des Archivs /var/cache/apt/archives/kopano-libs_8.5.5-0ubuntu1_amd64.deb (--unpack):
     Versuch, »/usr/lib/mapi.d/kopano.inf« zu überschreiben, welches auch in Paket kopano-client 8.7.0.0-0+1.1 ist
    dpkg-deb: Fehler: einfügen subprocess was killed by signal (Broken pipe)
    Fehler traten auf beim Bearbeiten von:
     /var/cache/apt/archives/kopano-libs_8.5.5-0ubuntu1_amd64.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    

    to get updates for php, nginx, apache and openssl these PPAs are added:
    ppa:ondrej/php
    ppa:ondrej/nginx
    ppa:ondrej/apache
    I guess / fear thats the problem? any ideas to resolve the problem?

    regards
    1of16


  • Kopano

    @1of16 said in webapp install error on ubuntu 18.04:

    via the kopano repository

    @1of16 said in webapp install error on ubuntu 18.04:

    kopano-libs_8.5.5-0ubuntu1_amd64.deb

    The given packages does not originate from our repos, but from from the ubuntu repos. So if you want to install webapp from our repos you should always also configure the kopano core repo so all depenencies will be resolved from our repos.



  • gnaaa…youre right! that was stupid, thank you!
    but there seems to be no kopano-libs for 18.04. in the kopano repo?!
    no even in the tar-ball.

    I guess it is, again, my fault:

    apt-cache show kopano-webapp-nginx
    Package: kopano-webapp-nginx
    Architecture: all
    Version: 3.4.6+dfsg1-1
    Priority: optional
    Section: universe/web
    Source: kopano-webapp
    Origin: Ubuntu
    Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
    Original-Maintainer: Giraffe Maintainers <pkg-giraffe-maintainers@lists.alioth.debian.org>
    Bugs: https://bugs.launchpad.net/ubuntu/+filebug
    Installed-Size: 64
    Depends: nginx, kopano-webapp-common (>= 3.4.6+dfsg1-1), php-fpm
    Recommends: kopano-server
    Filename: pool/universe/k/kopano-webapp/kopano-webapp-nginx_3.4.6+dfsg1-1_all.deb
    Size: 15148
    MD5sum: 87ba1863bf6a1c90205c6877fd5778cc
    SHA1: 79ab6c1b11cb614b8029f5a2ff6fb06c4b336ef3
    SHA256: 33dd2b48e2afdbe33c34808b7fe48c2a0d0bcce028dd32bfcd94e383f8c57be9
    Homepage: https://github.com/Kopano-dev/kopano-webapp
    Description-en: WebApp for the Kopano Collaboration Platform - Nginx
     Provides a web-client written in PHP that uses JSON and Ext JS to allow users
     to make full use of the Kopano Collaboration Platform through a modern web
     browser. The functionality of the web-client can be expanded by various
     plugins.
     .
     Nginx specific configuration and dependencies will be provided by this
     package.
    Description-md5: c12c43089829ba2d9e8e97be48eedd11
    

    since it seemed useful I tried to install kopano-webapp-nginx, but it is a ubuntu package.

    thank you @fbartels , again awesome support!

    regards
    1of16


  • Kopano

    @1of16 I think both packages you mentioned are exclusive to the downstream Debian packaging and not ours.



  • @fbartels youre right.
    as always: “wer lesen kann…” :)


Log in to reply